(defgroup laml nil
  "LAML customizations. LAML means Lisp Abstracted Markup Language.

With LAML it is possible to write HTML documents and CGI programs in Scheme.
For more informations see http://www.cs.auc.dk/~normark/laml/."
  :group 'emacs
  )

(defcustom laml-pp-helpful t
  "Show useful roles of constituents of selected LAML templates. 

LAML templates are activated by M-x insert-... in the various LAML styles."
  :type 'boolean
  :group 'laml)

(defcustom laml-single-string-approach nil
  "Controls whether the LAML mirror functions, and other similar functions, expect a single (concatenated) contents string.

The value of this variable affects the embed and split commands.
If the value is t, explicit concatenation using the concatenate form (typically con) will be provided.
If the value is nil, no concatenation will be used.
If you use the html4.0 loose, html4.01 transitional, or one of the XHTML mirrors this variable should be nil.
If you edit XML-in-LAML documents this variable should also be nil. "
  :type 'boolean
  :group 'laml)

(defcustom smart-word-determination t
  "With smart word determination a word is implicitely selected if the point is at the first character of a word.

If you do not use smart word determination you must explicitly select a string to embed. The variable is important for the embed command."
  :type 'boolean
  :group 'laml)


(defcustom concatenate-form 'con 
  "The Scheme string concatenate function to be used with LAML."
  :type 'symbol
  :group 'laml)


(defcustom silent-laml-processing nil
  "If true, LAML processing will cause a buffer, scm-output, to appear at the bottom of the frame with processing information. 
If false, LAML processing is reported in a buffer scm-output which isn't shown.
Go to the buffer with switch-to-buffer to consult it. Only supported in MzScheme based configurations."
  :type 'boolean
  :group 'laml)

(defcustom leno-version 'xml-in-laml
  "Determines which generation of the LENO templates to apply. 
With the symbol original, the first generation of the templates is applied.
With the symbol xml-in-laml, the second generation is applied."
  :type 'sexp
  :group 'laml)